<?php
	$session = $this->getSession();
	$registry = $this->getRegistry();

	// appel fichier internalisation
	$i18n = $this->getRegistry()->get('i18n');
	$filter_html = new Yab_Filter_Html();
	$filter_no_html = new Yab_Filter_NoHtml();


	$pager = new Yab_Helper_Pager($oas_index, 'pager_oa');

	$oas_index_index = $pager->getStatement();
	$oas_index->noLimit();

	$sitefouille_id = $session->get('sitefouille_id') ; // jfb 2016-06-06 mantis 262

?>
<script type='text/javascript'>

    var show_detail = false;

    $(document).ready(function () {
        var oTableOa;
        setClickableRow();
        oTableOa = $(".table_module").dataTable({
            "bPaginate": true,
            "bProcessing": false,
            "bInfo": false,
            "oLanguage": {
                "sZeroRecords": "<?php echo $filter_no_html->filter( $i18n -> say('recherche_globale_error')) ; ?>",
                "sSearch": "<?php echo $filter_no_html->filter( $i18n -> say('recherche_globale_label')) ; ?> :"
            },
            "sPaginationType": "full_numbers",
        });
        oSettings = oTableOa.fnSettings();
    });
    function setClickableRow() {
        $("table .table-clickable-row").each(function () {
            var redirect = $(this).attr('href')
            $(".table-row-data", $(this)).click(function () {
                window.location.href = redirect;
            })
        })
    }

    function confirmer(url) { // jfb 2016-04-13
    	if (confirm('Veuillez Cliquer sur "OK" pour confirmer la suppression.')) {
    		document.location.href = url ;
    	}
    }

    function siteFouilleExistant(sitefouille,url) {  // jfb 2016-06-06 mantis 262
    	if (sitefouille) {
    		document.location.href = url ;
    	}
    	else {
    		alert("Veuillez créer un site de fouille !") ;
    	}
    }

</script>


<div class="table-responsive">
	<div id="optiontools"></div>

	<div id="table_oas_index_wrapper">
		<table id="table_oas_index"
			class="table_module table table-striped table-bordered table-hover table-condensed table-responsive">
			<caption>
				<?php echo $filter_no_html->filter( $i18n -> say('oa_title_index')) ; ?>
			</caption>
			<thead>
				
				<tr class="headings">
					<th>
						<?php echo $filter_no_html->filter( $i18n->say('identification')) ; ?>
					</th>
					<th>
						<?php echo $filter_no_html->filter( $i18n->say('debut')) ; ?>
					</th>
					<th>
						<?php echo $filter_html->filter( $i18n->say('fin')) ; ?>
					</th>
					<th>
						<?php echo $filter_no_html->filter( $i18n->say('conditionfouille')) ; ?>
					</th>
					<th>
						<?php echo $filter_no_html->filter( $i18n->say('organismeratachement')) ; ?>
					</th>
					<th>
						<?php echo $filter_no_html->filter( $i18n->say('maitriseouvrage')) ; ?>
					</th>
					<th>
						<?php echo $filter_no_html->filter( $i18n->say('surfacefouille')) ; ?>
					</th>
					<th>
						<?php echo $filter_no_html->filter( $i18n->say('commentaire')) ; ?>	
					</th>
					
					<th colspan="2" align="center">
					    <!-- jfb 2016-06-06 mantis 262 début
						<a
							href="<?php echo $this->getRequest('Oa', 'add'); ?>">
						  		<span class="glyphicon glyphicon-plus-sign"
									style="font-size: 32px;" alt="Ajouter" title="Ajouter">
						  		</span>
						</a>
						//   jfb 2016-06-06 mantis 262 fin -->
				  		<!-- jfb 2016-06-06 mantis 262 début -->
				  		<span class="glyphicon glyphicon-plus-sign" style="font-size: 32px;"
					      onclick="siteFouilleExistant('<?php echo $sitefouille_id; ?>','<?php echo $this->getRequest('Oa', 'add'); ?>');"
					      alt="Ajouter" title="Ajouter"></span>
				  		<!-- jfb 2016-06-06 mantis 262 fin -->
					</th>
				</tr>
			</thead>
			
			
			
			<tbody>
			 <?php foreach($oas_index as $oa){ 
				$oa->set('format','%d/%m/%Y') ;
			 ?>
				
				<tr href="<?php echo $this->getRequest('Oa', 'show', array($oa->get('oa_id')) ); ?>"
					title="<?php echo $filter_no_html->filter( $i18n->say('show_detail_title')) ; ?>" class="table-clickable-row">

					<td class="table-row-data">
						<?php echo $oa->get('identification', $filter_html); ?>					
					</td>
					<td class="table-row-data">
						<?php echo $oa->get('oa_debut', 'Date'); ?>
					</td>
					<td class="table-row-data">
						<?php echo $oa->get('oa_fin', 'Date'); ?>
					</td>
					<td class="table-row-data">
						<?php echo $oa->get('conditionfouille', $filter_html); ?>
					</td>		
					<td class="table-row-data">
						<?php echo $oa->get('organismeratachement', $filter_html); ?>
					</td>
					<td class="table-row-data">
						<?php echo $oa->get('maitriseouvrage', $filter_html); ?>
					</td>
					<td class="table-row-data">
						<?php echo $oa->get('surfacefouille', $filter_html) ;?>
					</td>
					<td class="table-row-data">
						<?php echo $oa->get('commentaire', $filter_html); ?>
					</td>
					<td class="table-row-option">
						<a href="<?php echo $this->getRequest('Oa', 'edit', array($oa->get('id')) ); ?>"><span
							class="glyphicon glyphicon-edit" style="font-size: 18px;"
							alt="Editer" title="Editer"></span>
						</a>
					</td>
					<td class="table-row-option">
						<span class="glyphicon glyphicon-remove-circle alert-danger" style="font-size: 18px;"
						onclick="confirmer('<?php echo $this->getRequest('Oa', 'delete', array($oa->get('id')) ); ?>');"
						alt="Supprimer" title="Supprimer"></span>
				    </td>
				</tr>
			 <?php } ?>
			</tbody>
		</table>
	</div>
</div>
<div style="float: left; padding-bottom: 10px; padding-top: 10px">
	<span> <a
		href="<?php echo $this->getRequest('Index', 'index'); ?>"
		class="btn btn-default">Retour &agrave; index</a>
	</span>
</div>